Video Screencast Help

LiveUpdate 12.1 RU4 fails when run manually on Macintosh

Created: 05 Dec 2013 • Updated: 09 Dec 2013 | 5 comments
iug's picture

Hi

I've installed the 12.1 RU4 version in some Macintosh clients and I presented the problem: LiveUpdate fails when run manually through client interface

I tryied to run the LiveUpdate, as the article recomends, using the LUTool, but I  get the following message:

objc[29698]: Class XByteCountFormatter is implemented in both /Library/PrivateFrameworks/SymAppKitAdditions.framework/Versions/B/SymAppKitAdditions and /Library/Application Support/Symantec/LiveUpdate/./LUTool. One of the two will be used. Which one is undefined.
2013-12-04 14:45:16.854 LUTool[29698:407] in ConnectionDied, stopping current run loop
 
 
Cheking the liveupdate.log I have the following:
Wed Dec  4 14:45:15 2013: Daemon Launched
 
Wed Dec  4 14:45:15 2013: Daemon version: LiveUpdate 6.2.2f1, <C2><A9> 2013 Symantec Corporation, All Rights Reserved.
Wed Dec  4 14:45:15 2013:  *** Adding Command
Wed Dec  4 14:45:15 2013: **** Command Key/Value (RegistryPath//Library/Application Support/Symantec/LiveUpdate/ActiveRegistry)
 
Wed Dec  4 14:45:15 2013: **** Command Key/Value (VolumeRoot//)
 
Wed Dec  4 14:45:15 2013: **** Command Key/Value (PlugInPath//Library/Application Support/Symantec/LiveUpdate/PlugIns)
 
Wed Dec  4 14:45:15 2013: =======================================================================
Wed Dec  4 14:45:15 2013: Starting up
Wed Dec  4 14:45:15 2013: Setting last check time now
Wed Dec  4 14:45:15 2013: Should download now and install later: 0
Wed Dec  4 14:45:15 2013: Gathering plug-ins and registry plists
Wed Dec  4 14:45:15 2013: Setting up request array
Wed Dec  4 14:45:15 2013: LiveUpdatePlugInNAV::GetRequestArray.
Wed Dec  4 14:45:15 2013: License processing
Wed Dec  4 14:45:15 2013: Checking License Settings
Wed Dec  4 14:45:15 2013: Searching for best LiveUpdate server
Wed Dec  4 14:45:15 2013: Requesting mini-TRI flag: http://10.1.2.2/checaav/MacintoshUpdatesAV/minitri.flg
Wed Dec  4 14:45:16 2013: Download Error for file minitri.flg (NSError): -1100
Wed Dec  4 14:45:16 2013: Attempted download of minitri.flg with error 9
Wed Dec  4 14:45:16 2013: Finding Best Server, got error: 9
Wed Dec  4 14:45:16 2013: Searching for best LiveUpdate server
Wed Dec  4 14:45:16 2013: Requesting mini-TRI flag: http://10.1.2.2/checaav/MacintoshUpdatesAV/livetri.zip
Wed Dec  4 14:45:16 2013: Attempted download of livetri.zip with error 0
Wed Dec  4 14:45:16 2013: Requesting TRI files
Wed Dec  4 14:45:16 2013: Requesting livetri.zip: http://10.1.2.2/checaav/MacintoshUpdatesAV/livetri.zip
Wed Dec  4 14:45:16 2013: Attempted download of livetri.zip with error 0
Wed Dec  4 14:45:16 2013: main: CAUGHT ???
Wed Dec  4 14:45:16 2013: Daemon Quitting
 
I have a Windows Server (http://10.1.2.2/checaav/MacintoshUpdatesAV/) as Internal LiveUpdate Server.
I update the definitions, using the LiveUpdate Administrator Utility (1.5), once a week; Just in case I've allready checked the Symantec Endpoint Protection v12.1 RU4 product line.
Other SEP for Mac clients (RU2) update well with the same LiveUpdate schema.
 
Any idea what is causing this problem?
 
Regards
 
 
Operating Systems:

Comments 5 CommentsJump to latest comment

.Brian's picture

are you still experiencing this issue?

Please click the "Mark as solution" link at bottom left on the post that best answers your question. This will benefit admins looking for a solution to the same problem.

iug's picture

Yes Brian, I'm still experiencing this issue :(

Regards

P_K_'s picture

It seems that the issue that you are facing is a known issue. It is documented here

Symantec is investigating and will updated this article as new information becomes available.

Workarounds/Solutions:

  • Fix name resolution for liveupdate.symantec.com.
  • Rely on a scheduled LiveUpdate -- it doesn't check liveupdate.symantec.com unless it's in the server list and if it doesn't resolve then LU tries the next one in the list.
  • Use the command line LUTool for manual LiveUpdate sessions -- see How to run Macintosh LiveUpdate 6.x from the Command Line

 

http://www.symantec.com/docs/TECH212506

MCT MCSE-2012 Symantec Technical Specialist (SCTS)

iug's picture
Well, the problem is that inclusive running the LUTool, as the document says, I'm getting the error described at the begining.
 
I update the definitions using the LiveUpdate Administrator Utility (1.5), but the user MichaelD50 says tha I need to use the LUA 2.3.2.99, so why the LUAU 1.5 includes the Symantec Endpoint Protection v12.1 RU4 definitions for download?
 
Regards
MichaelD50's picture

The only LUA that is compatible with SEP for Mac 12.1.4 is the current 2.3.2.99

MJD